> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get execution start/end timestamp

> Get execution start/end timestamp



## OpenAPI

````yaml get /syncs/{syncid}/flows/{flowid}/executions/{executionid}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /syncs/{syncid}/flows/{flowid}/executions/{executionid}:
    get:
      tags:
        - Syncs
      summary: Get execution start/end timestamp
      description: Get execution start/end timestamp
      operationId: syncs_get_execution
      parameters:
        - name: syncid
          in: path
          required: true
          schema:
            type: string
            title: Syncid
        - name: flowid
          in: path
          required: true
          schema:
            type: string
            title: Flowid
        - name: executionid
          in: path
          required: true
          schema:
            type: string
            title: Executionid
        - name: consumerid
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Consumerid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChainExecutionItem'
        '404':
          content:
            application/json:
              example:
                message: The execution does not exist
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ChainExecutionItem:
      properties:
        id:
          type: string
          title: Id
          description: Execution id
        parentexecutionid:
          anyOf:
            - type: string
            - type: 'null'
          title: Parentexecutionid
          description: >-
            Parent execution id. An execution is linked to multiple child
            executions linked to consumers.
        start:
          type: string
          format: date-time
          title: Start
        end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End
        status:
          type: string
          title: Status
      type: object
      required:
        - id
        - parentexecutionid
        - start
        - end
        - status
      title: ChainExecutionItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````